%define xmame_name		xmame
%define xmess_name		xmess

%define fversion 		0.104
%define frelease 		1rx3

%define xmame_buildx11		1
%define xmame_buildSDL		1
%define xmame_buildsvgalib	0
%define xmame_buildsvgafx	0

%define xmame_build		1

%define xmess_buildx11		1
%define xmess_buildSDL		1
%define xmess_buildsvgalib	0
%define xmess_buildsvgafx	0

%define xmess_build		1

%define job_nb			4

%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)





#-----------------------------------------------------------------------------------------------------------------------------------
# Packages
#-----------------------------------------------------------------------------------------------------------------------------------

# virtual package to enforce naming convention
#
Summary:	X-Mame Arcade Game Emulator
Name:		xmame
Version:	%fversion
Release:	%frelease

License:	MAME - http://x.mame.net/license.html
URL:		http://x.mame.net/
Group:		Emulators
Distribution:	Rx3 Free Software
Vendor:		Rx3
Packager:	Arnaud G. Gibert <arnaud@rx3.net>

Source:		http://x.mame.net/download/%{xmame_name}-%fversion.tar.bz2
Source1:	%{xmame_name}-16x16.png
Source2:	%{xmame_name}-32x32.png
Source3:	%{xmame_name}-48x48.png
Source4:	%{xmame_name}-rc.tar.bz2
Source5:	%{xmess_name}-rc.tar.bz2

Source10:	http://www.mame.net/roms/polyplay.zip
Source11:	http://www.mame.net/roms/robby.zip
Source12:	http://www.mame.net/roms/gridlee.zip
Source13:	http://www.mame.net/roms/gridlee-sample.zip

#Source20:	http://www.sys2064.com/files/mame/unoff_hsdat7.9.zip
#Source21:	http://www.sys2064.com/files/mame/cheat.zip
#Source22:	http://www.mameworld.net/mameinfo/download/Mameinfo401.zip
#Source23:	http://fandemame.emu-france.com/T%E9l%E9chargement/history.dat.zip

Source20:	%{xmame_name}-hiscore-0.104.dat.bz2
Source21:	%{xmame_name}-cheat-0.81.dat.bz2
Source22:	%{xmame_name}-mameinfo-0.104.dat.bz2
Source23:	%{xmame_name}-history-1.06a.dat.bz2
Source24:	%{xmame_name}-catver-0.99u2.ini.bz2



# I have no idea what this one does and if it's still necessary
Patch12:	xmame-mamex.patch.bz2


ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{xmame_name}-%{version}-root
#BuildRequires:	nasm esound-devel XFree86-devel zlib-devel upx
BuildRequires:	nasm esound-devel XFree86-devel zlib-devel libexpat0-devel

%description
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.


# XMame base
%if %xmame_build
%package -n %{name}-base
Summary: X-Mame Arcade Game Emulator compiled for x11
Group:         Emulators

%description -n %{name}-base
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This package has the high scores, the mamedat, cheats.
%endif


# XMame x11 target
%if %xmame_buildx11
%package -n %{name}-x11
Summary: X-Mame Arcade Game Emulator compiled for X11 + OpenGL
Group:         Emulators
PreReq:        /usr/sbin/update-alternatives
BuildRequires: Mesa-common-devel libjpeg-devel
Provides:      %{name}
Requires:      %{name}-base XFree86-libs zlib1 libexpat0

%description -n %{name}-x11
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This version has been compiled with X11 + OpenGL support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.x11). Try it if your game does not work well.
If using dga you end up with a messed-up screen, check that XF86Config-4
loads extmod, dri and glx in the module section, and that your kernel is loaded
with agpgart along with either mga, tdfx, radeon, gamma, i810 or r128 depending
on your card.
%endif

# XMame svgalib target
%if %xmame_buildsvgalib
%package -n %{name}-svgalib
Summary: X-Mame Arcade Game Emulator compiled for SVGA lib
Group:         Emulators
PreReq:        /usr/sbin/update-alternatives
BuildRequires: svgalib-devel
Provides:      %{name}
Requires:      %{name}-base svgalib zlib1 libexpat0

%description -n %{name}-svgalib
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This version has been compiled with SVGA lib support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.svgalib). Try it if your game does not work well.
%endif

# XMame SDL target
%if %xmame_buildSDL
%package -n %{name}-SDL
Summary: X-Mame Arcade Game Emulator compiled for SDL
Group:         Emulators
PreReq:        /usr/sbin/update-alternatives
BuildRequires: libSDL1.2-devel
Provides:      %{name}
Requires:      %{name}-base libSDL1.2 zlib1 libexpat0

%description -n %{name}-SDL
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This version has been compiled with SDL support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.SDL). Try it if your game does not work well.
%endif

# XMame Glide/svgalib target
%if %xmame_buildsvgafx
%package -n %{name}-svgafx
Summary: X-Mame Arcade Game Emulator compiled for 3Dfx cards with X11
Group:         Emulators
PreReq:        /usr/sbin/update-alternatives
BuildRequires: Glide_V3 Glide_V3-devel
Provides:      %{name}
Requires:      %{name}-base Glide_V3 zlib1 libexpat0

%description -n %{name}-svgafx
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This version has been compiled with voodoo/svgalib support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.svgafx). Try it if your game does not work well.
%endif

# XMess base
%if %xmess_build
%package -n %{xmess_name}-base
Summary: X-Mame Arcade Game Emulator compiled for x11
Group:         Emulators

%description -n %{xmess_name}-base
X-Mess the UNIX/X11 port of Mess project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

This package has the high scores, the mamedat, cheats.
%endif


# XMess x11 target
%if %xmess_buildx11
%package -n %{xmess_name}-x11
Summary: X-Mess Arcade Game Emulator compiled for X11 + OpenGL
Group:         Emulators
PreReq:        /usr/sbin/update-alternatives
BuildRequires: Mesa-common-devel libjpeg-devel
Provides:      %{xmess_name}
Requires:      %{xmess_name}-base XFree86-libs

%description -n %{xmess_name}-x11
X-Mess the UNIX/X11 port of Mess project.

This version has been compiled with X11 support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.x11). Try it if your game does not work well.
If using dga you end up with a messed-up screen, check that XF86Config-4
has 'Load "extmod"' in the module section.
%endif

# XMess svgalib target
%if %xmess_buildsvgalib
%package -n %{xmess_name}-svgalib
Summary: X-Mame Arcade Game Emulator compiled for SVGA lib
Group:         Emulators
PreReq:        /usr/sbin/update-alternatives
BuildRequires: svgalib-devel
Provides:      %{xmess_name}
Requires:      %{xmess_name}-base svgalib

%description -n %{xmess_name}-svgalib
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

This version has been compiled with SVGA lib support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.svgalib). Try it if your game does not work well.
%endif

# XMess SDL target
%if %xmess_buildSDL
%package -n %{xmess_name}-SDL
Summary: X-Mame Arcade Game Emulator compiled for SDL
Group:         Emulators
PreReq:        /usr/sbin/update-alternatives
BuildRequires: libSDL1.2-devel
Provides:      %{xmess_name}
Requires:      %{xmess_name}-base libSDL1.2 zlib1 libexpat0

%description -n %{xmess_name}-SDL
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

This version has been compiled with SDL support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.SDL). Try it if your game does not work well.
%endif

# XMess Glide/svgalib target
%if %xmess_buildsvgafx
%package -n %{xmess_name}-svgafx
Summary: X-Mame Arcade Game Emulator compiled for 3Dfx cards with X11
Group:         Emulators
PreReq:        /usr/sbin/update-alternatives
BuildRequires: Glide_V3 Glide_V3-devel
Provides:      %{xmess_name}
Requires:      %{xmess_name}-base Glide_V3 zlib1 libexpat0

%description -n %{xmess_name}-svgafx
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

This version has been compiled with voodoo/svgalib support.
A separate binary without the 68000 asm core is provided in a separate
binary (xmame.svgafx). Try it if your game does not work well.
%endif





#-----------------------------------------------------------------------------------------------------------------------------------
# Prep
#-----------------------------------------------------------------------------------------------------------------------------------

%prep
rm -rf %buildroot


%setup -q -n %{name}-%{fversion}
#%patch10 -p1
#%patch11 -p1
%patch12 -p1
# %patch13 -p1

bzcat %{SOURCE20} >$RPM_BUILD_DIR/%{xmame_name}-%{version}/hiscore.dat
bzcat %{SOURCE21} >$RPM_BUILD_DIR/%{xmame_name}-%{version}/cheat.dat
bzcat %{SOURCE22} >$RPM_BUILD_DIR/%{xmame_name}-%{version}/mameinfo.dat
bzcat %{SOURCE23} >$RPM_BUILD_DIR/%{xmame_name}-%{version}/history.dat
bzcat %{SOURCE24} >$RPM_BUILD_DIR/%{xmame_name}-%{version}/catver.ini





#-----------------------------------------------------------------------------------------------------------------------------------
# Build
#-----------------------------------------------------------------------------------------------------------------------------------

%build
# all default settings have been positioned through the Makefile.unix patch 

# options from xmame not provided by our RPM variables
# -funroll-loops -fstrength-reduce  -fomit-frame-pointer -ffast-math
# -malign-functions=2 -malign-jumps=2 -malign-loops=2 -s -fno-exceptions
# -fstrict-aliasing

#%define optimize_flags	$RPM_OPT_FLAGS
#%define optimize_flags	OPTIMIZE_FLAGS="-Wall -Wno-unused -O3 -pipe -march=pentium2 -mfpmath=387 -mmmx -funroll-loops -fstrength-reduce -ffast-math"
#%define optimize_flags	OPTIMIZE_FLAGS="-Wall -Wno-unused -O3 -pipe -march=pentium2 -mfpmath=387 -mmmx -funroll-all-loops -fpeel-loops -ftracer -ffast-math"
#%define optimize_flags	OPTIMIZE_FLAGS="-Wall -Wno-unused -O3 -pipe -march=pentium2 -mfpmath=387 -mmmx -funroll-all-loops -funswitch-loops -fpeel-loops -fforce-addr -fsched-spec-load -fmove-all-movables -ftracer -ffast-math"

%define my_cpu_flag	MY_CPU=i386
%define c_flags		CFLAGS="-Wall -Wno-unused -O3 -pipe -march=pentium2 -mfpmath=387 -mmmx -ffast-math"
%define ld_flags	LDFLAGS="-Wl,-s,-O3"

%define asm_flags	X86_MIPS3_DRC=1 X86_PPC_DRC=1 X86_VOODOO_DRC=1 EFFECT_MMX_ASM=1
%define x11_flags	X11_MITSHM=1 X11_XV=1 X11_DGA=1 X11_OPENGL=1 XINPUT_DEVICES=1 X11_XINERAMA=1



# XMame x11 target with asm support
%if %xmame_buildx11
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame %{my_cpu_flag} %{c_flags} %{ld_flags} %{asm_flags} %{x11_flags} \
	DISPLAY_METHOD=x11
mv xmame.x11 xmame.x11-asm
%endif

# XMame SDL target with asm support
%if %xmame_buildSDL
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame %{my_cpu_flag} %{c_flags} %{ld_flags} %{asm_flags}              \
	DISPLAY_METHOD=SDL
mv xmame.SDL xmame.SDL-asm
%endif

# XMame svgalib target with asm support
%if %xmame_buildsvgalib
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame %{my_cpu_flag} %{c_flags} %{ld_flags} %{asm_flags}              \
	DISPLAY_METHOD=svgalib
mv xmame.svgalib xmame.svgalib-asm
%endif

# XMame Glide/svgalib target with asm support
%if %xmame_buildsvgafx
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame %{my_cpu_flag} %{c_flags} %{ld_flags} %{asm_flags}              \
	DISPLAY_METHOD=svgafx
mv xmame.svgafx xmame.svgafx-asm
%endif

# XMess x11 target with asm support
%if %xmess_buildx11
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess %{my_cpu_flag} %{c_flags} %{ld_flags} %{asm_flags} %{x11_flags} \
	DISPLAY_METHOD=x11 
mv xmess.x11 xmess.x11-asm
%endif

# XMess SDL target with asm support
%if %xmess_buildSDL
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess %{my_cpu_flag} %{c_flags} %{ld_flags} %{asm_flags}              \
	DISPLAY_METHOD=SDL 
mv xmess.SDL xmess.SDL-asm
%endif

# XMess svgalib target with asm support
%if %xmess_buildsvgalib
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess %{my_cpu_flag} %{c_flags} %{ld_flags} %{asm_flags}              \
	DISPLAY_METHOD=svgalib
mv xmess.svgalib xmess.svgalib-asm
%endif

# XMess Glide/svgalib target with asm support
%if %xmess_buildsvgafx
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess %{my_cpu_flag} %{c_flags} %{ld_flags} %{asm_flags}              \
mv xmess.svgafx xmess.svgafx-asm
%endif



# won't recompile without the asm core if not clean
%if %xmame_build
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame clean68k
rm xmame.obj/libcpu.a
%endif

%if %xmess_build
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess clean68k
rm xmess.obj/libcpu.a
%endif




# XMame x11 target without asm support
%if %xmame_buildx11
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame %{my_cpu_flag} %{c_flags} %{ld_flags} %{x11_flags}              \
	DISPLAY_METHOD=x11
%endif

# XMame SDL target without asm support
%if %xmame_buildSDL
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame %{my_cpu_flag} %{c_flags} %{ld_flags}                           \
	DISPLAY_METHOD=SDL
%endif

# XMame svgalib target without asm support
%if %xmame_buildsvgalib
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame %{my_cpu_flag} %{c_flags} %{ld_flags}                           \
	DISPLAY_METHOD=svgalib
%endif

# XMame Glide/svgalib target without asm support
%if %xmame_buildsvgafx
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame %{my_cpu_flag} %{c_flags} %{ld_flags}                           \
	DISPLAY_METHOD=svgafx
%endif

# XMess x11 target without asm support
%if %xmess_buildx11
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess %{my_cpu_flag} %{c_flags} %{ld_flags} %{x11_flags}              \
	DISPLAY_METHOD=x11
%endif

# XMess SDL target without asm support
%if %xmess_buildSDL
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess %{my_cpu_flag} %{c_flags} %{ld_flags}                           \
	DISPLAY_METHOD=SDL
%endif

# XMess svgalib target without asm support
%if %xmess_buildsvgalib
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess %{my_cpu_flag} %{c_flags} %{ld_flags}                           \
	DISPLAY_METHOD=svgalib
%endif

# XMess Glide/svgalib target without asm support
%if %xmess_buildsvgafx
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess %{my_cpu_flag} %{c_flags} %{ld_flags}                           \
	DISPLAY_METHOD=svgafx
%endif



# XMame tools: xlistdev, romcmp, chdman and xml2info
%if %xmame_build
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mame %{my_cpu_flag} %{c_flags} %{ld_flags}                           \
	DISPLAY_METHOD=x11                                                                                     \
	xlistdev extra
%endif



# XMess tools: dat2html, chdman and imgtool
### XMess tools: dat2html, chdman, imgtool and messtest
%if %xmame_build
make -j%{job_nb} PREFIX=%{_prefix} TARGET=mess %{my_cpu_flag} %{c_flags} %{ld_flags}                           \
	DISPLAY_METHOD=x11                                                                                     \
	extra messtest
%endif





#-----------------------------------------------------------------------------------------------------------------------------------
# Install
#-----------------------------------------------------------------------------------------------------------------------------------

%install
rm -rf %buildroot

mkdir -p %buildroot%{_mandir}/man6 \
	 %buildroot%{_bindir}      \
	 %buildroot%{_iconsdir}    \
	 %buildroot%{_liconsdir}   \
	 %buildroot%{_miconsdir}   \
	 %buildroot%{_menudir}     \
	 %buildroot/usr/X11R6/bin



# XMame install
#-----------------------------------------------------------------------------------------------------------------------------------

%if %xmame_build
mkdir -p %buildroot%{_libdir}/games/%{xmame_name}/{roms,cab,samples,artwork,flyers,cfg,nvram,memcard,hi} \
	 %buildroot%{_sysconfdir}/%{xmame_name}/rc

#installing the free roms
cp %{SOURCE10} %buildroot%{_libdir}/games/%{xmame_name}/roms
cp %{SOURCE11} %buildroot%{_libdir}/games/%{xmame_name}/roms
cp %{SOURCE12} %buildroot%{_libdir}/games/%{xmame_name}/roms
cp %{SOURCE13} %buildroot%{_libdir}/games/%{xmame_name}/samples/gridlee.zip

# the man page
install -m 644 doc/xmame.6 %buildroot%{_mandir}/man6/

# the binaries
%if %xmame_buildx11
install -m 4755 xmame.{x11,x11-asm} %buildroot/usr/X11R6/bin/
%endif

%if %xmame_buildSDL
install -m  755 xmame.{SDL,SDL-asm} %buildroot/usr/X11R6/bin/
%endif

%if %xmame_buildsvgalib
install -m 4755 xmame.svgalib{-asm,} %buildroot%{_bindir}
%endif

%if %xmame_buildsvgafx
install -m 4755 xmame.svgafx{-asm,} %buildroot%{_bindir}
%endif

# XMame tools
install -m 4755 xlistdev %buildroot/usr/X11R6/bin/
install -m 4755 romcmp   %buildroot%{_bindir}
install -m 4755 chdman   %buildroot%{_bindir}
install -m 4755 xml2info %buildroot%{_bindir}

# xmame-screensaver from contrib/tools
install -m 755 contrib/tools/xmame-screensaver %buildroot/usr/X11R6/bin/

# XMame files
install -m 644 ./doc/xmamerc.dist %buildroot%{_sysconfdir}/%{xmame_name}/rc/xmamerc.dist
install -m 644 ./hiscore.dat  %buildroot%{_libdir}/games/%{xmame_name}/hiscore.dat
install -m 644 ./cheat.dat %buildroot%{_libdir}/games/%{xmame_name}/cheat.dat
install -m 644 ./mameinfo.dat %buildroot%{_libdir}/games/%{xmame_name}/mameinfo.dat
install -m 644 ./history.dat %buildroot%{_libdir}/games/%{xmame_name}/history.dat
install -m 644 ./catver.ini %buildroot%{_libdir}/games/%{xmame_name}/catver.ini
# install -m 644 ./driverinfo.dat %buildroot%{_libdir}/games/%{xmame_name}/driverinfo.dat
install contrib/frontends/mamex.new %buildroot%{_bindir}/mamex

# icons
install -m 644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot%_liconsdir/%name.png



# the cab files
%if %xmame_buildx11
make TARGET=mame XMAMEROOT=%buildroot%{_libdir}/games/%{xmame_name} copycab
%endif



# XMame rc files
tar xvjf %{SOURCE4} -C %buildroot%{_sysconfdir}/%{xmame_name}

%if %xmame_buildx11
echo "keeping xmame-x11rc"
%else
rm -f %buildroot%{_sysconfdir}/%{xmame_name}/xmame-x11rc
%endif

%if %xmame_buildSDL
echo "keeping xmame-SDLrc"
%else
rm -f %buildroot%{_sysconfdir}/%{xmame_name}/xmame-SDLrc
%endif

%if %xmame_buildsvgalib
echo "keeping xmame-svgalibrc"
%else
rm -f %buildroot%{_sysconfdir}/%{xmame_name}/xmame-svgalibrc
%endif

%if %xmame_buildsvgafx
touch %buildroot%{_sysconfdir}/%{xmame_name}/xmame-svgafxrc
%endif

ln -sf %{_libdir}/games/%{xmame_name}/cab %buildroot%{_sysconfdir}/%{xmame_name}/cab

%endif



# XMess install
#-----------------------------------------------------------------------------------------------------------------------------------

%if %xmess_build
mkdir -p %buildroot%{_libdir}/games/%{xmess_name}/{bios,software,crc,samples,ini,cfg,nvram,memcard,hi,artwork,ctrlr} \
	 %buildroot%{_sysconfdir}/%{xmess_name}/rc

# the man page
install -m 644 doc/xmess.6 %buildroot%{_mandir}/man6/

# the binaries
%if %xmess_buildx11
install -m 4755 xmess.{x11,x11-asm} %buildroot/usr/X11R6/bin/
%endif

%if %xmess_buildSDL
install -m  755 xmess.{SDL,SDL-asm} %buildroot/usr/X11R6/bin/
%endif

%if %xmess_buildsvgalib
install -m 4755 xmess.svgalib{-asm,} %buildroot%{_bindir}
%endif

%if %xmess_buildsvgafx
install -m 4755 xmess.svgafx{-asm,} %buildroot%{_bindir}
%endif

install -m 644 ./doc/xmessrc.dist %buildroot%{_sysconfdir}/%{xmess_name}/rc/xmessrc.dist

# XMess tools
install -m 4755 dat2html %buildroot%{_bindir}
install -m 4755 chdman   %buildroot%{_bindir}
install -m 4755 imgtool  %buildroot%{_bindir}
install -m 4755 messtest  %buildroot%{_bindir}

# icons
install -m 644 %SOURCE1 %buildroot%_miconsdir/%{xmess_name}.png
install -m 644 %SOURCE2 %buildroot%_iconsdir/%{xmess_name}.png
install -m 644 %SOURCE3 %buildroot%_liconsdir/%{xmess_name}.png

# XMess rc files
tar xvjf %{SOURCE5} -C %buildroot%{_sysconfdir}/%{xmess_name}

%if %xmess_buildx11
echo "keeping xmess-x11rc"
%else
rm -f %buildroot%{_sysconfdir}/%{xmess_name}/xmess-x11rc
%endif

%if %xmess_buildSDL
echo "keeping xmess-SDLrc"
%else
rm -f %buildroot%{_sysconfdir}/%{xmess_name}/xmess-SDLrc
%endif

%if %xmess_buildsvgalib
echo "keeping xmess-svgalibrc"
%else
rm -f %buildroot%{_sysconfdir}/%{xmess_name}/xmess-svgalibrc
%endif

%if %xmess_buildsvgafx
touch %buildroot%{_sysconfdir}/%{xmess_name}/xmess-svgafxrc
%endif

%endif



# XMame/XMess menu entries
#-----------------------------------------------------------------------------------------------------------------------------------
%if %mdkversion < 1000 
%define menusection "More applications/Emulators"
%else 
%define menusection "More Applications/Emulators"
%endif

# mamex
cat << EOF > %buildroot%{_menudir}/mamex
?package(%{name}-base):command="/usr/bin/mamex" icon="%{name}.png"\\
	needs="X11" section=%{menusection} title="mameX" longtitle="Arcade emulator launcher"
EOF

# XMame x11 target
%if %xmame_buildx11
cat << EOF > %buildroot%{_menudir}/%{xmame_name}-x11
?package(%{name}-x11):command="/usr/X11R6/bin/%{xmame_name}.x11-asm" icon="%{name}.png"\\
	needs="X11" section=%{menusection} title="XMame (X11)" longtitle="Arcade emulator"
EOF
%endif

# XMame svgalib target
# no menu entry for a command line ...


# XMame SDL target
%if %xmame_buildSDL
cat << EOF > %buildroot%{_menudir}/%{xmame_name}-SDL
?package(%{name}-SDL):command="/usr/X11R6/bin/%{xmame_name}.SDL-asm" icon="%{name}.png"\\
	needs="X11" section=%{menusection} title="XMame (SDL)" longtitle="Arcade emulator"
EOF
%endif

# XMame Glide/svgalib target
# no menu entry for a command line ...

# XMess x11 target
%if %xmess_buildx11
cat << EOF > %buildroot%{_menudir}/%{xmess_name}-x11
?package(%{xmess_name}-x11):command="/usr/X11R6/bin/%{xmess_name}.x11-asm" icon="%{xmess_name}.png"\\
	needs="X11" section=%{menusection} title="XMess (X11)" longtitle="Computer/Console emulator"
EOF
%endif

# XMess svgalib target
# no menu entry for a command line ...

# XMess SDL target
%if %xmess_buildSDL
cat << EOF > %buildroot%{_menudir}/%{xmess_name}-SDL
?package(%{xmess_name}-SDL):command="/usr/X11R6/bin/%{xmess_name}.SDL-asm" icon="%{xmess_name}.png"\\
	needs="X11" section=%{menusection} title="XMess (SDL)" longtitle="Computer/Console emulator"
EOF
%endif

# XMess Glide/svgalib target
# no menu entry for a command line ...





#-----------------------------------------------------------------------------------------------------------------------------------
# Files
#-----------------------------------------------------------------------------------------------------------------------------------

# XMame/XMess files
#-----------------------------------------------------------------------------------------------------------------------------------
export DONT_STRIP=1

%if %xmame_build
# XMame base
#
%files -n %{name}-base
%defattr(-,root,root)
%doc doc/*
%dir               %{_sysconfdir}/%{xmame_name}
%dir               %{_sysconfdir}/%{xmame_name}/rc
%config(noreplace) %{_sysconfdir}/%{xmame_name}/rc/*
%attr(-,root,games) /usr/X11R6/bin/xlistdev
%attr(-,root,games) %{_bindir}/romcmp
%attr(-,root,games) %{_bindir}/chdman
%attr(-,root,games) %{_bindir}/xml2info
%attr(755,root,games) %{_bindir}/mamex
%attr(-,root,games) /usr/X11R6/bin/xmame-screensaver
%dir %{_libdir}/games/%{xmame_name}
%dir %{_libdir}/games/%{xmame_name}/roms
%dir %{_libdir}/games/%{xmame_name}/samples
%dir %{_libdir}/games/%{xmame_name}/artwork
%dir %{_libdir}/games/%{xmame_name}/flyers
%dir %{_libdir}/games/%{xmame_name}/cfg
%dir %{_libdir}/games/%{xmame_name}/nvram
%dir %{_libdir}/games/%{xmame_name}/memcard
%dir %{_libdir}/games/%{xmame_name}/hi
%attr(644,root,games) %{_libdir}/games/%{xmame_name}/roms/*
%attr(644,root,games) %{_libdir}/games/%{xmame_name}/samples/*
%{_libdir}/games/%{xmame_name}/hiscore.dat
%{_libdir}/games/%{xmame_name}/cheat.dat
%{_libdir}/games/%{xmame_name}/mameinfo.dat
%{_libdir}/games/%{xmame_name}/history.dat
%{_libdir}/games/%{xmame_name}/catver.ini
%attr(644,root,man) %{_mandir}/man6/%{xmame_name}.6*
%attr(644,root,root) %{_liconsdir}/%{xmame_name}.png
%attr(644,root,root) %{_miconsdir}/%{xmame_name}.png
%attr(644,root,root) %{_iconsdir}/%{xmame_name}.png
%attr(644,root,root) %{_menudir}/mamex
%endif

%if %xmess_build
# XMess base
#
%files -n %{xmess_name}-base
%defattr(-,root,root)
%doc doc/*
%dir               %{_sysconfdir}/%{xmess_name}
%dir               %{_sysconfdir}/%{xmess_name}/rc
%config(noreplace) %{_sysconfdir}/%{xmess_name}/rc/*
%attr(-,root,games) %{_bindir}/dat2html
%attr(-,root,games) %{_bindir}/chdman
%attr(-,root,games) %{_bindir}/imgtool
%attr(-,root,games) %{_bindir}/messtest
%dir %{_libdir}/games/%{xmess_name}
%attr(644,root,man) %{_mandir}/man6/%{xmess_name}.6*
%attr(644,root,root) %{_liconsdir}/%{xmess_name}.png
%attr(644,root,root) %{_miconsdir}/%{xmess_name}.png
%attr(644,root,root) %{_iconsdir}/%{xmess_name}.png
%endif



# XMame x11 target
#
%if %xmame_buildx11
%post -n %{name}-x11
%{update_menus}
update-alternatives --install %{_bindir}/%{xmame_name} %{name} /usr/X11R6/bin/%{xmame_name}.x11     9
update-alternatives --install %{_bindir}/%{xmame_name} %{name} /usr/X11R6/bin/%{xmame_name}.x11-asm 10

# without the following, the group stays in default manual mode,
#  and no link is created
[ -e %{_bindir}/%{xmame_name} ] || update-alternatives --auto %{name}

%postun -n %{name}-x11
%{clean_menus} 
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  update-alternatives --remove %{name} /usr/X11R6/bin/%{xmame_name}.x11-asm
  update-alternatives --remove %{name} /usr/X11R6/bin/%{xmame_name}.x11
  update-alternatives --auto %{name}
fi

%files -n %{name}-x11
%defattr(-,root,root)
%dir               %{_sysconfdir}/%{xmame_name}
%config(noreplace) %{_sysconfdir}/%{xmame_name}/xmame-x11rc
%attr(-,root,games) /usr/X11R6/bin/xmame.x11
%attr(-,root,games) /usr/X11R6/bin/xmame.x11-asm
%dir %{_libdir}/games/%{xmame_name}/cab
%{_libdir}/games/%{xmame_name}/cab/*
%{_sysconfdir}/%{xmame_name}/cab
%attr(644,root,root) %{_menudir}/%{xmame_name}-x11
%endif

# XMame svgalib target
#
%if %xmame_buildsvgalib
%post -n %{name}-svgalib
update-alternatives --install %{_bindir}/%{xmame_name} %{name} %{_prefix}/bin/%{xmame_name}.svgalib     9
update-alternatives --install %{_bindir}/%{xmame_name} %{name} %{_prefix}/bin/%{xmame_name}.svgalib-asm 10

# without the following, the group stays in default manual mode,
#  and no link is created
[ -e %{_bindir}/%{xmame_name} ] || update-alternatives --auto %{name}

%postun -n %{name}-svgalib
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  update-alternatives --remove %{name} %{_prefix}/bin/%{xmame_name}.svgalib-asm
  update-alternatives --remove %{name} %{_prefix}/bin/%{xmame_name}.svgalib
  update-alternatives --auto %{name}
fi

%files -n %{name}-svgalib
%defattr(-,root,root)
%dir               %{_sysconfdir}/%{xmame_name}
%config(noreplace) %{_sysconfdir}/%{xmame_name}/xmame-svgalibrc
%attr(-,root,games) %{_bindir}/xmame.svgalib
%attr(-,root,games) %{_bindir}/xmame.svgalib-asm
%endif

# XMame SDL target
#
%if %xmame_buildSDL
%post -n %{name}-SDL
%{update_menus}
update-alternatives --install %{_bindir}/%{xmame_name} %{name} /usr/X11R6/bin/%{xmame_name}.SDL     9
update-alternatives --install %{_bindir}/%{xmame_name} %{name} /usr/X11R6/bin/%{xmame_name}.SDL-asm 10

# without the following, the group stays in default manual mode,
#  and no link is created
[ -e %{_bindir}/%{xmame_name} ] || update-alternatives --auto %{name}

%postun -n %{name}-SDL
%{clean_menus} 
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  update-alternatives --remove %{name} /usr/X11R6/bin/%{xmame_name}.SDL-asm
  update-alternatives --remove %{name} /usr/X11R6/bin/%{xmame_name}.SDL
  update-alternatives --auto %{name}
fi

%files -n %{name}-SDL
%defattr(-,root,root)
%dir               %{_sysconfdir}/%{xmame_name}
%config(noreplace) %{_sysconfdir}/%{xmame_name}/xmame-SDLrc
%attr(-,root,games) /usr/X11R6/bin/xmame.SDL
%attr(-,root,games) /usr/X11R6/bin/xmame.SDL-asm
#%attr(644,root,root) %{_liconsdir}/%{xmame_name}.png
#%attr(644,root,root) %{_miconsdir}/%{xmame_name}.png
#%attr(644,root,root) %{_iconsdir}/%{xmame_name}.png
%attr(644,root,root) %{_menudir}/%{xmame_name}-SDL
%endif

# XMame Glide/svgalib target
#
%if %xmame_buildsvgafx
%post -n %{name}-svgafx
update-alternatives --install %{_bindir}/%{xmame_name} %{name} %{_prefix}/bin/%{xmame_name}.svgafx     9
update-alternatives --install %{_bindir}/%{xmame_name} %{name} %{_prefix}/bin/%{xmame_name}.svgafx-asm 10

# without the following, the group stays in default manual mode,
#  and no link is created
[ -e %{_bindir}/%{xmame_name} ] || update-alternatives --auto %{name}

%postun -n %{name}-svgafx
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  update-alternatives --remove %{name} %{_bindir}/%{xmame_name}.svgafx-asm
  update-alternatives --remove %{name} %{_bindir}/%{xmame_name}.svgafx
  update-alternatives --auto %{name}
fi

%files -n %{name}-svgafx
%defattr(-,root,root)
%dir               %{_sysconfdir}/%{xmame_name}
%config(noreplace) %{_sysconfdir}/%{xmame_name}/xmame-svgafxrc
%attr(-,root,games) %{_bindir}/xmame.svgafx
%attr(-,root,games) %{_bindir}/xmame.svgafx-asm
%endif



# XMess x11 target
#
%if %xmess_buildx11
%post -n %{xmess_name}-x11
%{update_menus}
update-alternatives --install %{_bindir}/%{xmess_name} %{xmess_name} /usr/X11R6/bin/%{xmess_name}.x11     9
update-alternatives --install %{_bindir}/%{xmess_name} %{xmess_name} /usr/X11R6/bin/%{xmess_name}.x11-asm 10

# without the following, the group stays in default manual mode,
#  and no link is created
[ -e %{_bindir}/%{xmess_name} ] || update-alternatives --auto %{xmess_name}

%postun -n %{xmess_name}-x11
%{clean_menus}
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  update-alternatives --remove %{xmess_name} /usr/X11R6/bin/%{xmess_name}.x11-asm
  update-alternatives --remove %{xmess_name} /usr/X11R6/bin/%{xmess_name}.x11
  update-alternatives --auto %{xmess_name}
fi

%files -n %{xmess_name}-x11
%defattr(-,root,root)
%dir               %{_sysconfdir}/%{xmess_name}
%config(noreplace) %{_sysconfdir}/%{xmess_name}/xmess-x11rc
%attr(-,root,games) /usr/X11R6/bin/%{xmess_name}.x11
%attr(-,root,games) /usr/X11R6/bin/%{xmess_name}.x11-asm
%attr(644,root,root) %{_menudir}/%{xmess_name}-x11
%endif

# XMess svgalib target
#
%if %xmess_buildsvgalib
%post -n %{name}-svgalib
update-alternatives --install %{_bindir}/%{xmess_name} %{xmess_name} %{_prefix}/bin/%{xmess_name}.svgalib     9
update-alternatives --install %{_bindir}/%{xmess_name} %{xmess_name} %{_prefix}/bin/%{xmess_name}.svgalib-asm 10

# without the following, the group stays in default manual mode,
#  and no link is created
[ -e %{_bindir}/%{xmess_name} ] || update-alternatives --auto %{xmess_name}

%postun -n %{xmess_name}-svgalib
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  update-alternatives --remove %{xmess_name} %{_prefix}/bin/%{xmess_name}.svgalib-asm
  update-alternatives --remove %{xmess_name} %{_prefix}/bin/%{xmess_name}.svgalib
  update-alternatives --auto %{xmess_name}
fi

%files -n %{xmess_name}-svgalib
%defattr(-,root,root)
%dir               %{_sysconfdir}/%{xmess_name}
%config(noreplace) %{_sysconfdir}/%{xmess_name}/%{xmess_name}-svgalibrc
%attr(-,root,games) %{_bindir}/%{xmess_name}.svgalib
%attr(-,root,games) %{_bindir}/%{xmess_name}.svgalib-asm
%endif

# XMess SDL target
#
%if %xmess_buildSDL
%post -n %{xmess_name}-SDL
%{update_menus}
update-alternatives --install %{_bindir}/%{xmess_name} %{xmess_name} /usr/X11R6/bin/%{xmess_name}.SDL     9
update-alternatives --install %{_bindir}/%{xmess_name} %{xmess_name} /usr/X11R6/bin/%{xmess_name}.SDL-asm 10

# without the following, the group stays in default manual mode,
#  and no link is created
[ -e %{_bindir}/%{xmess_name} ] || update-alternatives --auto %{xmess_name}

%postun -n %{xmess_name}-SDL
%{clean_menus} 
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  update-alternatives --remove %{xmess_name} /usr/X11R6/bin/%{xmess_name}.SDL-asm
  update-alternatives --remove %{xmess_name} /usr/X11R6/bin/%{xmess_name}.SDL
  update-alternatives --auto %{xmess_name}
fi

%files -n %{xmess_name}-SDL
%defattr(-,root,root)
%dir               %{_sysconfdir}/%{xmess_name}
%config(noreplace) %{_sysconfdir}/%{xmess_name}/%{xmess_name}-SDLrc
%attr(-,root,games) /usr/X11R6/bin/%{xmess_name}.SDL
%attr(-,root,games) /usr/X11R6/bin/%{xmess_name}.SDL-asm

#%attr(644,root,root) %{_liconsdir}/%{xmess_name}.png
#%attr(644,root,root) %{_miconsdir}/%{xmess_name}.png
#%attr(644,root,root) %{_iconsdir}/%{xmess_name}.png
%attr(644,root,root) %{_menudir}/%{xmess_name}-SDL
%endif

# XMess Glide/svgalib target
#
%if %xmess_buildsvgafx
%post -n %{xmess_name}-svgafx
update-alternatives --install %{_bindir}/%{xmess_name} %{xmess_name} %{_prefix}/bin/%{xmess_name}.svgafx     9
update-alternatives --install %{_bindir}/%{xmess_name} %{xmess_name} %{_prefix}/bin/%{xmess_name}.svgafx-asm 10

# without the following, the group stays in default manual mode,
#  and no link is created
[ -e %{_bindir}/%{xmess_name} ] || update-alternatives --auto %{xmess_name}

%postun -n %{xmess_name}-svgafx
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  update-alternatives --remove %{xmess_name} %{_bindir}/%{xmess_name}.svgafx-asm
  update-alternatives --remove %{xmess_name} %{_bindir}/%{xmess_name}.svgafx
  update-alternatives --auto %{xmess_name}
fi

%files -n %{xmess_name}-svgafx
%defattr(-,root,root)
%dir               %{_sysconfdir}/%{xmess_name}
%config(noreplace) %{_sysconfdir}/%{xmess_name}/%{xmess_name}-svgafxrc
%attr(-,root,games) %{_bindir}/%{xmess_name}.svgafx
%attr(-,root,games) %{_bindir}/%{xmess_name}.svgafx-asm
%endif





#-----------------------------------------------------------------------------------------------------------------------------------
# Clean
#-----------------------------------------------------------------------------------------------------------------------------------

%clean
rm -rf %buildroot 





#-----------------------------------------------------------------------------------------------------------------------------------
# ChangeLog
#-----------------------------------------------------------------------------------------------------------------------------------

%changelog
* Fri Feb 17 2006 Arnaud G. Gibert <arnaud@rx3.net> 0.104-1rx3
- Update to 0.104.
- Update hiscore.dat to 0.104.
- Update history.dat to 1.06a.
- Update mameinfo.dat to 0.104.
- Add remove xmame.obj/libcpu.a and xmess.obj/libcpu.a before non asm build in specfile.

* Tue Jan 17 2006 Arnaud G. Gibert <arnaud@rx3.net> 0.103-1rx3
- Update to 0.103.
- Update hiscore.dat to 0.103.
- Update history.dat to 1.05j.
- Update mameinfo.dat to 0.103.


* Sat Nov 26 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.102-1rx3
- Update to 0.102.
- Update hiscore.dat to 0.102.
- Update history.dat to 1.05b.
- Update mameinfo.dat to 0.102.
- Update xmame-x11rc, xmame-SDLrc config files (remove skip_validitychecks).
- Update xmess-x11rc and xmess-SDLrc config files (remove skip_validitychecks).
- Add X86_VOODOO_DRC=1 to asm_flags.
- Move MY_CPU Makefile variable into a new RPM my_cpu_flag define.

* Sun Oct 30 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.101-1rx3
- Update to 0.101.
- Update history.dat to 1.04a.
- Update mameinfo.dat to 0.101.
- Add X86_PPC_DRC=1 for *-asm targets.
- Re-add messtest to xmess-base.

* Thu Sep 22 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.100-1rx3
- Update to 0.100.
- Update catver.ini to 0.99u2.
- Update hiscore.dat to 0.101.
- Update history.dat to 1.04a.
- Update mameinfo.dat to 0.100.
- Update xmame-x11rc, xmame-SDLrc config files (remove history_file, mameinfo_file and crconly).
- Update xmess-x11rc and xmess-SDLrc config files (remove sysinfo_file, messinfo_file and crconly).
- Remove messtest from xmess-base (not up to date...).
- Now support Mandriva 10.2 and gcc 3.4.3.

* Mon Aug 22 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.99-1rx3
- Update to 0.99, no official 0.98 release !
- Update catver.ini to 0.98u4.
- Update hiscore.dat to 0.99.
- Update history.dat to 0.99.
- Update mameinfo.dat to 0.99.

* Sun Jun 19 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.97-2rx3
- Patch src/unix/sysdep/sysdep_display.c in order to fix a bug which crash Puckman Pockimon game.

* Wed Jun 15 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.97-1rx3
- Update to 0.97.
- Update catver.ini to 0.97.
- Update history.dat to 0.97.
- Update mameinfo.dat to 0.97.

* Thu May 12 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.96-1rx3
- Update to 0.96.
- Update catver.ini to 0.96u1.
- Update hiscore.dat to 0.96.
- Update history.dat to 0.96.
- Update mameinfo.dat to 0.96.

* Thu Mar 31 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.95-1rx3
- Update to 0.95.
- Update catver.ini to 0.94u3.
- Update hiscore.dat to 0.95.
- Update history.dat to 0.95.
- Update mameinfo.dat to 0.95a.

* Sat Mar 19 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.94-1rx3
- Update to 0.94, no 0.93 !
- Update catver.ini to 0.94.
- Update hiscore.dat to 0.94.
- Update history.dat to 0.94.
- Update mameinfo.dat to 0.94u1a.
- Rename *-68k into *-asm.
- Disable 68K in asm build.

* Thu Mar  3 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.92-1rx3
- Update to 0.92, no 0.91 !
- Update catver.ini to 0.93.
- Update hiscore.dat to 0.91.
- Update history.dat to 0.92.
- Update mameinfo.dat to 0.92u1a.
- Remove libexpat build and add libexpat dependency on xmame/xmess package.
- Replace OPTIMIZE_FLAGS by CFLAGS and LDFLAGS.

* Mon Jan 24 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.90-2rx3
- Cleanup spec file and resync it with 0.89-2plf one !
- Move menu entry to Applications/Emulators (like the frontends).
- Add Distribution, Vendor and Packager tags.
- Test new gcc optimizations flags...
- Private release.

* Fri Jan 21 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.90-1rx3
- Update to 0.90.
- Update catver.ini to 0.90.
- Update hiscore.dat to 0.90.
- Update history.dat to 0.90.
- Update mameinfo.dat to 0.90.
- Fix copycab install bung in src/unix/unix.mak.
- Now support Mandrake 10.1 and gcc 3.4.1.
- Replace -mcpu by -mtune.
- Fix gcc optimisation flags consistency.
- Enable XINPUT_DEVICES and X11_XINERAMA.

* Fri Dec 10 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.89-1rx3
- Update to 0.89.
- Update catver.ini to 0.89.
- Update hiscore.dat to 0.89.
- Update history.dat to 0.89.
- Update mameinfo.dat to 0.89.

* Tue Nov 18 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.88-1rx3
- Update to 0.88.
- Update catver.ini to 0.88.
- Update hiscore.dat to 0.88.
- Update history.dat to 0.88.
- Update mameinfo.dat to 0.88.
- Remove obsolete xgl and xfx target.
- Update xmame-x11rc, xmame-SDLrc, xmess-x11rc and xmess-SDLrc config files.

* Sun Oct  3 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.87-1rx3
- Update to 0.87.
- Update catver.ini to 0.87.
- Update hiscore.dat to 0.87.
- Update history.dat to 0.87.
- Update mameinfo.dat to 0.87.
- Enable SOUND_ARTS_SMOTEK in makefile.
- Update default options of xmame-x11rc, xmame-xglrc and xmame-SDLrc.

* Thu Aug 26 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.86-1rx3
- Update to 0.86.
- Update catver.ini to 0.86.
- Update history.dat to 0.86.
- Update mameinfo.dat to 0.86.

* Tue Aug 17 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.85.1-2rx3
- Ops! Fix a big bug of mine in Makefile: OPTIMIZE_FLAGS was not used in CFLAGS ! xmame/xmess were not optimized at all in previous release...

* Mon Aug 16 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.85.1-1rx3
- Update to 0.85.
- Rename it to 0.85.1.
- Update catver.ini to 0.85.
- Update hiscore.dat to 0.85.
- Update history.dat to 0.85.
- Update mameinfo.dat to 0.85.
- Add EFFECT_MMX_ASM=1 flag in *-68k targets.
- Remove XMAME_NET=1 from Makefile next to broken network support...
- Renmane xmame/xmess tools goal into extra in xmame.spec.

* Mon Aug 2 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.84.2-1rx3
- Update to 0.84.2. (preview).
- Add XMame tools xml2info to xmame-base.
- Add XMess tools ( dat2html, messtest, chdman and imgtool) to xmess-base.
- Remove SOUND_ARTS_SMOTEK from makefile (duplicate symbol...).
- Fix xml2info build: rename src/xml2info/ dir into src/xml2info-src/, and fix its definition in src/unix/unix.make.

* Mon Jul 26 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.84.1-1rx3
- Update to 0.84.1.
- Update catver.ini to 0.84.
- Update hiscore.dat to 8.4.
- Update history.dat to 0.84.
- Update mameinfo.dat to 0.84.
- Now support Mandrake 10.0 and gcc 3.3.2.

* Sun Jun 13 2004 Arnaud G. Gibert <arnaud@rx3.net> - 0.83.1-1rx3
- Update to 0.83.1.
- Update mameinfo.dat to 0.83.
- Update history.dat to 0.83.
- Update catver.ini to 0.83.

* Tue Jun  1 2004 Arnaud G. Gibert <arnaud@rx3.net> - 0.82.1-2rx3
- Fix print out bug: move vprintf() call in src/unix/config.c from logerror() to osd_die().
- Switch HAVE_MPROTECT to 1 in Makefile.

* Wed May 19 2004 Arnaud G. Gibert <arnaud@rx3.net> - 0.82.1-1rx3
- Update to 0.82.1.
- Update mameinfo.dat to 0.82.
- Update history.dat to 0.82.
- Update catver.ini to 0.82.
- Add "-mfpmath=387 -mmmx" into optimize_flags.

* Tue Apr 13 2004 Arnaud G. Gibert <arnaud@rx3.net> - 0.81.1-1rx3
- Rename release postfix from mdk to rx3 !
- Update to 0.81.1.
- Update mameinfo.dat to 0.81.
- Update hiscore.dat to 8.3. 
- Update history.dat to 0.81.
- Update catver.ini to 0.81.
- Update cheat.dat to 0.81. 

* Sun Mar 14 2004 Arnaud G. Gibert <arnaud@rx3.net> - 0.80.1-1mdk
- Update to 0.80.1.
- Update mameinfo.dat to 0.80.
- Update history.dat to 0.79c.
- Update catver.ini to 0.80.

* Fri Feb 20 2004 Arnaud G. Gibert <arnaud@rx3.net> - 0.79.1-1mdk
- Update to 0.79.1.
- Update mameinfo.dat to 0.79.
- Update history.dat to 0.79.
- Update catver.ini to 0.79.
- Remove obsolete "Requires:" and "Obsoletes:" tags.
- Implement parallel building by patching src/unix/unix.mak andsrc/unix/Makefile
  files.

* Wed Jan 14 2004 Arnaud G. Gibert <arnaud@rx3.net> - 0.78.1-1mdk
- Update to 0.78.1.
- Update mameinfo.dat to 0.78.
- Update history.dat to 0.78.
- Update catver.ini to 0.78.
- Fix cab file installation (only fo xgl).
- Add XMame tools: xlistdev romcmp chdman in xmame-base.

* Mon Nov 19 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.77.1-1mdk
- Update to 0.77.1.
- Update mameinfo.dat to 0.77.
- Update history.dat to 0.77.
- Update catver.ini to 0.77.

* Sun Oct 26 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.76.1-1mdk
- Update to 0.76.1.
- Update mameinfo.dat to 0.76.
- Update hiscore.dat to 8.2.
- Update history.dat to 0.76b.
- Update catver.ini to 0.76b1.
- Add "-fexpensive-optimizations" to optimize_flags.
- Enable SOUND_ARTS_TEIRA and SOUND_ARTS_SMOTEK sound devices in Makefile.

* Thu Sep 18 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.74.1-1mdk
- Update to 0.74.1.
- Update mameinfo.dat to 0.74a.
- Update history.dat to 0.74.
- Update catver.ini to 0.74.
- Update xmame-x11rc to 0.74 config changes (hotrod and hotrodse).

* Mon Aug 31 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.72.1-2mdk
- Update xmame-x11rc to 0.72 config changes (x11-mode, fullscreen, ...).

* Mon Aug 25 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.72.1-1mdk
- Update to 0.72.1.
- Update mameinfo.dat to 0.72b.
- Update hiscore.dat to 8.1.
- Update history.dat to 0.72b.
- Update catver.ini to 0.72.
- Add Wave out sound.

* Sun Jul 20 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.71.1-1mdk
- Update to 0.71.1.
- Fix a bug in src/cpu/mips/mips3drc.c.
- MAME_NET bug still here.
- Update mameinfo.dat, history.dat and catver.ini files.
- Add xmame- prefix to hiscore.dat, cheat.dat, mameinfo.dat, history.dat
  and catver.ini files.
- Add version to hiscore.dat, cheat.dat, mameinfo.dat, history.dat
  and catver.ini files.

* Fri Jun 20 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.70.1-2mdk
- XMAME_NET enabled by default in Makefile (Not MAME_NET ! 8-).
- Fix network support bug: rename MAME_NET to XMAME_NET into src/unix/main.c,
  src/unix/unix.mak and src/unix/network.old.
- Add new optimize compile flags.
- Move xmess-SDLrc, xmess-x11rc and xmess-xglrc from /etc/xmame to /etc/xmess.

* Fri Jun 20 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.70.1-1mdk
- Update to 0.70.1.
- Update mameinfo.dat, history.dat and catver.ini files.
- Update xmame-SDLrc, xmam-svgalibrc, xmame-x11rc and xmame-xglrc.
- Update xmess-SDLrc, xmess-x11rc and xmess-xglrc.
- MAME_NET disabled by default in Makefile (xmame 0.70.1 bug ?!).

* Mon Jun  9 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.69.1-2mdk
- Add catver.ini file.
- Update hiscore.dat, cheat.dat, mameinfo.dat and history.dat files.

* Fri May 30 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.69.1-1mdk
- Update to 0.68.1.

* Tue May 27 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.68.1-2mdk
- Add XMess support.

* Fri May 23 2003 Arnaud G. Gibert <arnaud@rx3.net> - 0.68.1-1mdk
- Update to 0.68.1.
- Update xmame-SDLrc, xmam-svgalibrc, xmame-x11rc, xmame-xglrc:
  cfg_directory, nvram_directory, memcard_directory and
  hiscore_directory are now in xmame dir.
- Remove unpackaged file: /usr/lib/games/xmame/xmame-x11rc and add
  conditions on packaged rc files.

* Sun Apr 13 2003 Arnaud G. Gibert <arnaud@rx3.net> 0.67.2-2mdk
- Add Flyer directory into xmame-base package.
- Switch on cheat mode by default.
- Fix samples dir definition in xmame-base package.

* Sun Apr 13 2003 Arnaud G. Gibert <arnaud@rx3.net> 0.67.2-1mdk
- Update to 0.67.2.

* Sun Mar 29 2003 Arnaud G. Gibert <arnaud@rx3.net> 0.66.2-3mdk
- Add Latin1 keyboard mapping in x11, xgl and SDL rc files.

* Wed Mar 27 2003 Arnaud G. Gibert <arnaud@rx3.net> 0.66.2-2mdk
- Fix XMAMEROOT variable for SDL, SVGA, OpenGL, Glide/X11 and Glide/SVGA.
- Add xmame-screensaver to xmame-base package.
- Add mamex menu entry into xmame-base package.
- Move icon into xmame-base package.
- Update mame-rc.tar.bz2.

* Sun Mar 23 2003 Arnaud G. Gibert <arnaud@rx3.net> 0.66.2-1mdk
- Update to 0.66.2.

* Sat Sep 14 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.60.1-2mdk
- Removed svgalib dependencies.

* Tue May 07 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.60.1-1mdk
- new source update.
- MameInfo 4.01.
- fandemame history.dat 0.60 and updated URL.

* Wed Mar 27 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.59.1-1mdk
- new source update.
- MameInfo 3.91.
- fandemame history.dat 0.59d.
- sound samples added for gridlee as an example.

* Tue Feb 12 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.58.2-1mdk
- new source update.
- MameInfo 3.82.
- I haven't compiled the new xgl, because of troubles with vector games.
- switch from the old history.dat to fandemame's and updated URL.
- MAME_NET enabled by default in makefile.unix.
- XMAMEROOT set by default in makefile.unix (still dependent on TARGET though).
- xpm icons converted to png.
- the SDL target needs some additional dependencies.

* Sat Feb 02 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.57.1-4mdk
- enabled SDL & x11 modules.

* Wed Jan 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.57.1-3mdk
- new upload

* Wed Jan 09 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.57.1-2mdk
- patch to xgl from Sven Goethel for voodoo boards.

* Mon Jan 07 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.57.1-1mdk
- new source update.
- MameInfo 3.71.
- switch from official hiscores (Apr 2001) to unofficial (Dec 2001).
- switch to a new (?) source for the cheat.zip file.

* Thu Jan 03 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.56.2-1mdk
- new source update.
- MameInfo 3.70.

* Tue Nov 27 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.56.1-2mdk
- strip now breaks upx encoded binaries ... oh well. workaround applied.

* Tue Nov 27 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.56.1-1mdk
- MameInfo 3.64.
- new source update.
- minor modification to the patch (Makefile.unix) to make it apply cleanly.
- has GLmame v0.91 (patch 22).

* Fri Oct 5 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.55.2-1mdk
- MameInfo 3.54.
- new source update.
- the glide patch for svgafx and xfx is not yet working. Disable it
  to compile the glide targets first.

* Mon Oct 1 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.55.1-3mdk
- MameInfo 3.53.
- new cheat.dat (updated on September 14th).
- removed update-menus and clean-menus for svgalib menuless target.

* Fri Sep 21 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.55.1-2mdk
- MameInfo 3.51.
- DGA support added to x11 targets.
- Decreased update-alternative priority of 68k asm core.
- removed xmame-screensaver until fixed.
- Viele danke Goetz Waschk.
- rc files updated (volume decreased to -3, SDL is no longer doubled size).

* Wed Sep 19 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.55.1-1mdk
- new source update.
- MameInfo 3.50.
- romcheck was removed from the source, so I removed it too.
- removed rc/ddonpach and rc/donpachi since their visual has been fixed.

* Mon Sep 10 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.54.2-1mdk
- new source update.
- MameInfo 3.42.
- rc files updates (samples dir, artwork dir, spool and screenshot dir).
- added romcheck and xmame-screensaver from contrib/tools.
- wrong test in %postun removed.

* Tue Aug 28 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.54.1-1mdk
- new source update.
- MameInfo 3.41.
- using "unzip -aa" to avoid a later "perl -pi -e"

* Sat Aug 25 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.53.1-2mdk
- Glide_V3 in BuildRequires for xfx.

* Thu Aug 23 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.53.1-1mdk
- new source update.
- MameInfo 3.32.

* Sat Aug 11 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b16.1-3mdk
- added link to %{_sysconfdir}/xmame/cab for xgl target.

* Sat Aug 11 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b16.1-2mdk
- cleaned spec file.
- added conditional compilation %build* flags.
- scanlines 1 in SDLrc file.
- removed X86_ASM_68000=0 otherwise both 68k and non-68k executables
  are the same.
- added Mesa-common-devel in BuildRequires (glu.h).

* Fri Aug 10 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.37b16.1-1mdk
- removed glide/X11 and glide/svgalib targets because they do not work
- source update
- cps2 patch update

* Thu Jun 28 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.37b15.1-3mdk
- added glide/X11     target (xfx)
- added glide/svgalib target (svgafx)
- cps2 updated to revision 20010627
- not released because the glide targets do not work properly

* Mon Jun 25 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.37b15.1-2mdk
- added the Stijn Hoop's cps2mame patch, with Sarayan' blessing (Dan Beimborn)
- mameinfo.dat version 3.15.
- xmame-SDLrc is ok now
- binaries are compressed with upx to save space on the hard drive
- FIX cab files are now in the xgl target
- BUG the latest package installed does not automatically become the prefered
  alternative
- BUG the xgl target does not work on all cards, it depends upon the glx support
- TODO svga, xgl, x11 and xmame rc files are not final yet
- TODO one day, I might move x11 specific binaries to /usr/X11R6/bin

* Wed Jun 06 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.37b15.1-1mdk
- updated to version 0.37b15.1.
- mameinfo.dat version 3.13.
- cosmetic mods to the spec (menu section).
- transparent icons added for menus.
- configuration files moved to /etc/xmame/* per request from rpmlint
- multi-binary rpm splitted into multiple single-binary rpms :o)
- added opengl and svgalib binaries.
- 68k asm has been moved to a separate binary because some games do not work
  well with it (rayforce).
- setuid root the binaries for DGA and svgalib binaries
- two FREE roms added as default games
- added the mame hiscore.dat revision 7
- BUG the latest package installed does not automatically become the prefered
  alternative
- BUG the xgl target does not work, I am still struggling to know why
- TODO rc files are not final yet
- TODO one day, I might create a separate xmame-base to gather the doc,
  hiscore, etc
- TODO one day, I might move x11 specific binaries to /usr/X11R6/bin

* Mon May 07 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b13.2-1mdk
- updated to version 0.37b13.2.

* Sat Mar 31 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b12.1-1mdk
- updated to version 0.37b12.1.
- removed patch14.

* Fri Mar 30 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b11.2-4mdk
- rebuild because .src.rpm were discarded.

* Mon Mar 12 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b11.2-3mdk
- rebuild with latest gcc-2.96-0.41mdk.

- added patch for rollrace support (imported from 0.37b12[dos]).
* Sat Feb 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b11.2-2mdk
- added patch for rollrace support (imported from 0.37b12[dos]).

* Fri Feb 23 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b11.2-1mdk
- updated to version 0.37b11.2.
- cleaned spec file.
- mameinfo.dat version 2.81.

* Wed Sep 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.37b4.1-3mdk
- more macros.
- menu.

* Wed Aug 30 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b4.1-2mdk
- use of %%{_mandir}.
- updated cheat file.

* Tue Aug 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.37b4.1-1mdk
- updated to new release.
- removed SDL, svgalib version.
- removed xmess.

* Wed May 17 2000 Pixel <pixel@mandrakesoft.com> 0.36.1-3mdk
- add exclusivearch x86.

* Wed May 04 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.36.1-2mdk
- updated URL.
- added history.dat
- removed esound support (does not worked)
- fixed optimization flags causing seg faults.
- removed bzip2 man pages (now handled by spec_helper).

* Wed Apr 19 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.36.1-1mdk
- fixed group
- updated version
- added new cheat.dat

* Thu Mar 16 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
  [0.36rc1.1-1mdk]
- updated to newer version.
- added SDL binaries.

* Fri Feb 18 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
  [0.36b15.2-3mdk]
- fixed %doc dir in spec file.

* Mon Feb 07 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.36b15.2-2mdk]
- added xmess.

* Fri Feb 04 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.36b15.2-1mdk]
- updated to new version.
- cleaned the SPEC file.

* Sat Jul 24 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.35.3-1mdk]
- mandrake adaptions
- removed suid.
- added and fixed mamex script from contrib.

* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [0.35b12.1-1]
- added history.dat to %doc section
- network support currently broken, so xmame is compiled without it

* Wed Feb 03 1999 Arne Coucheron <arneco@online.no>
  [0.35b2.1-1]
- removed changes in xmamerc regarding joystick support, fixed in sources

* Tue Jan 12 1999 Arne Coucheron <arneco@online.no>
  [0.35b1.1-1]

* Sat Jan 09 1999 Arne Coucheron <arneco@online.no>
  [0.34.2-1]
- changed xmamerc regarding joystick support

* Tue Jan 05 1999 Arne Coucheron <arneco@online.no>
  [0.34.1-1]
- those getting the : undefined symbol: __deregister_frame_info
  error message when running xmame, need to either rebuild it from the src.rpm
  or upgrade to the XFree86 v3.3.3 rpm package provided by Red Hat

* Sun Dec 20 1998 Arne Coucheron <arneco@online.no>
  [0.34rc1.1-1]

* Sat Dec 12 1998 Arne Coucheron <arneco@online.no>
  [0.34b8.1-1]
- the DGA and X11 version are now built into the same binary
- changed Source and URL tag

* Sun Nov 15 1998 Arne Coucheron <arneco@online.no>
  [0.34b7.1-1]
- no changes in spec file

* Tue Nov 10 1998 Arne Coucheron <arneco@online.no>
  [0.34b6.1-1]
- added URL: tag
- added compiling of multiplayer support for all display targets

* Thu Oct 22 1998 Arne Coucheron <arneco@online.no>
  [0.34b5.2-1]
- compiling with multiplayer support
- compiling and installing the OpenGL version
- installing CHEAT.DAT
- using assembler 68k engine during compile

* Mon Oct 19 1998 Arne Coucheron <arneco@online.no>
  [0.34b3.1-1]
- using %%{name} and %%{version} macros
- using %defattr
- using OPTFLAGS="$RPM_OPT_FLAGS" for optimization
- added -q parameter to %setup
- dropped i386.makefile patch, implemented it in spec file instead
- to comply better with Red Hat standard, moved rom directory to
  /usr/lib/games/xmame and highscore directory to /var/lib/games/xmame
- various cleanups in spec file

* Mon Aug 24 1998 Jeff Breidenbach <jeff@jab.org>
- RPM builds on linux for alpha,powerpc,i386 (only i386 tested)
- added xmame.svga, xmame.xf86_dga when appropriate
- redid patches to reflect new changes in makefile

* Sun Aug 23 1998 Jeff Breidenbach <jeff@jab.org>
- enabled i386 assembly code when appropriate

* Sat Aug 1 1998 Jeff Breidenbach <jeff@jab.org>
- separated i386 portion of makefile patch into separate file
  so that it might be reasonable to build this rpm on
  a non-i386 linux box. (untested)
- minor tweaks to spec file and i386 patch.
- updated version of xmame.

* Wed Jun 10 1998 Jeremy Hansen <jeremy@xxedgexx.com>
- Made changes to the spec file mainly in the document
  structure.
- Made changes to the xmamerc patch.  Enabled sound if
  available.

* Tue Jun 9 1998 Jeremy Hansen <jeremy@xxedgexx.com>
- Made some rpm fixes.
- Fixed xmamerc.

* Mon Jun 8 1998 Jeremy Hansen <jeremy@xxedgexx.com>
- built and tested package.
- Relocated xmamerc, high scores, and roms directory into
  /usr/lib/xmame.  All roms rpm I make will install into
  /usr/lib/xmame/roms.
